<!-- 
RSS generated by JIRA (9.4.14#940014-sha1:734e6822bbf0d45eff9af51f82432957f73aa32c) at Sat Feb 10 03:13:18 UTC 2024

It is possible to restrict the fields that are returned in this document by specifying the 'field' parameter in your request.
For example, to request only the issue key and summary append 'field=key&field=summary' to the URL of your request.
-->
<rss version="0.92" >
<channel>
    <title>Whamcloud Community JIRA</title>
    <link>https://jira.whamcloud.com</link>
    <description>This file is an XML representation of an issue</description>
    <language>en-us</language>    <build-info>
        <version>9.4.14</version>
        <build-number>940014</build-number>
        <build-date>05-12-2023</build-date>
    </build-info>


<item>
            <title>[LU-14848] Lustre test suite&apos;s non-zero rc is not propagated to auster</title>
                <link>https://jira.whamcloud.com/browse/LU-14848</link>
                <project id="10000" key="LU">Lustre</project>
                    <description>&lt;p&gt;Without the following patch, the rc from a test suite is not propagated to auster.  As a result, auster always declares success, making it necessary to check results.yml to determine the outcome of the tests.&lt;/p&gt;
&lt;div class=&quot;code panel&quot; style=&quot;border-width: 1px;&quot;&gt;&lt;div class=&quot;codeContent panelContent&quot;&gt;
&lt;pre class=&quot;code-java&quot;&gt;
--- a/lustre/tests/auster
+++ b/lustre/tests/auster
@@ -210,6 +210,8 @@ run_suite() {
        [[ ! -f $TF_SKIP ]] || rm -f $TF_SKIP
 
        reset_lustre
+
+       &lt;span class=&quot;code-keyword&quot;&gt;return&lt;/span&gt; $rc
 }
 
 run_suite_logged() {
@@ -227,10 +229,13 @@ run_suite_logged() {
     local log_name=${suite_name}.suite_log.$(hostname -s).log
     &lt;span class=&quot;code-keyword&quot;&gt;if&lt;/span&gt; $verbose; then
         run_suite $suite_name $suite_script 2&amp;gt;&amp;amp;1 |tee  $LOGDIR/$log_name
+        local rc=${PIPESTATUS[0]}
     &lt;span class=&quot;code-keyword&quot;&gt;else&lt;/span&gt;
         run_suite $suite_name $suite_script &amp;gt; $LOGDIR/$log_name 2&amp;gt;&amp;amp;1
+        local rc=$?
     fi
 
+    &lt;span class=&quot;code-keyword&quot;&gt;return&lt;/span&gt; $rc
 }
&lt;/pre&gt;
&lt;/div&gt;&lt;/div&gt;</description>
                <environment>The issue likely exists in some of the other versions, too.</environment>
        <key id="65213">LU-14848</key>
            <summary>Lustre test suite&apos;s non-zero rc is not propagated to auster</summary>
                <type id="1" iconUrl="https://jira.whamcloud.com/secure/viewavatar?size=xsmall&amp;avatarId=11303&amp;avatarType=issuetype">Bug</type>
                                            <priority id="4" iconUrl="https://jira.whamcloud.com/images/icons/priorities/minor.svg">Minor</priority>
                        <status id="1" iconUrl="https://jira.whamcloud.com/images/icons/statuses/open.png" description="The issue is open and ready for the assignee to start work on it.">Open</status>
                    <statusCategory id="2" key="new" colorName="default"/>
                                    <resolution id="-1">Unresolved</resolution>
                                        <assignee username="wc-triage">WC Triage</assignee>
                                    <reporter username="xiaolinzang">Xiaolin Zang</reporter>
                        <labels>
                            <label>tests</label>
                    </labels>
                <created>Tue, 13 Jul 2021 18:39:26 +0000</created>
                <updated>Wed, 14 Jul 2021 03:18:19 +0000</updated>
                                            <version>Lustre 2.14.0</version>
                    <version>Lustre 2.12.5</version>
                                                        <due></due>
                            <votes>0</votes>
                                    <watches>3</watches>
                                                                                    <attachments>
                    </attachments>
                <subtasks>
                    </subtasks>
                <customfields>
                                                                                                                                                                                            <customfield id="customfield_10890" key="com.atlassian.jira.plugins.jira-development-integration-plugin:devsummary">
                        <customfieldname>Development</customfieldname>
                        <customfieldvalues>
                            
                        </customfieldvalues>
                    </customfield>
                                                                                                                                                    <customfield id="customfield_10030" key="com.atlassian.jira.plugin.system.customfieldtypes:labels">
                        <customfieldname>Epic/Theme</customfieldname>
                        <customfieldvalues>
                                        <label>test</label>
    
                        </customfieldvalues>
                    </customfield>
                                                                                                                                                                                                            <customfield id="customfield_10070" key="com.atlassian.jira.plugin.system.customfieldtypes:select">
                        <customfieldname>Project</customfieldname>
                        <customfieldvalues>
                                <customfieldvalue key="10032"><![CDATA[Test Infrastructure]]></customfieldvalue>

                        </customfieldvalues>
                    </customfield>
                                                                <customfield id="customfield_10390" key="com.pyxis.greenhopper.jira:gh-lexo-rank">
                        <customfieldname>Rank</customfieldname>
                        <customfieldvalues>
                            <customfieldvalue>1|i01z7r:</customfieldvalue>

                        </customfieldvalues>
                    </customfield>
                                                                <customfield id="customfield_10090" key="com.pyxis.greenhopper.jira:gh-global-rank">
                        <customfieldname>Rank (Obsolete)</customfieldname>
                        <customfieldvalues>
                            <customfieldvalue>9223372036854775807</customfieldvalue>
                        </customfieldvalues>
                    </customfield>
                                                                                            <customfield id="customfield_10060" key="com.atlassian.jira.plugin.system.customfieldtypes:select">
                        <customfieldname>Severity</customfieldname>
                        <customfieldvalues>
                                <customfieldvalue key="10022"><![CDATA[3]]></customfieldvalue>

                        </customfieldvalues>
                    </customfield>
                                                                                                                                                                                                                                                                                                                                                        </customfields>
    </item>
</channel>
</rss>